%global githash fe857cb
%global gitdate 20111121
Name:           hotot
Version:        0.9.7
Release:        1.%{gitdate}git%{githash}%{?dist}
Summary:        Lightweight & open source micro blogging client
Group:          Applications/Internet
License:        LGPLv3+ and LGPLv3 and BSD and GPLv2
URL:            http://hotot.org

# wget https://github.com/shellex/Hotot/tarball/%%{githash} -O hotot-%%{version}-%%{githash}.tar.gz
Source0:        hotot-%{version}-%{githash}.tar.gz
BuildArch: noarch
BuildRequires:  pygtk2-devel WebKit-gtk-devel >= 1.0.0-0.8 intltool 
BuildRequires:  libxslt-devel python-distutils-extra gettext desktop-file-utils
Requires:       pygtk2 pywebkitgtk >= 1.1.8 notify-python python-keybinder

%description
Hotot, is a lightweight & open source micro blogging client, coding using 
Python language and designed for Linux.  It depends less but supports more. 

Features:
   * OAuth and Basic Auth is supported.
   * Socks Proxy and Http Proxy.
   * Support API Proxy.
   * Support Twitter Search and content filter.
   * Keyboard shortcuts.
   * Extension System.
   * Native notify system. it supports Gnome & KDE SC. 

%prep
%setup -q -n shellex-Hotot-%{githash}
sed -i -e '/^#!\//, 1d'  hotot/*.py

%build
python setup.py build_i18n -m
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install --prefix=%{buildroot}/usr
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
chmod 644 %{buildroot}/%{_datadir}/%{name}/ext/org.hotot.imageupload/entry.js
chmod 644 %{buildroot}/%{_datadir}/%{name}/ext/ext.js
chmod 644 %{buildroot}/%{_datadir}/%{name}/ext/org.hotot.stat/entry.js

%find_lang %{name}

%files -f %{name}.lang
%{python_sitelib}/%{name}
%{_bindir}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%changelog
* Mon Nov 21 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.7-1.20111121gitfe857cb
- update to 0.9.7 snapshot
- spec update from Willington Vega <wvega@wvega.com>

* Mon Aug 15 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.6-2.20110815hg
- update to 0.9.6 snapshot

* Sun Jul 23 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.6-1.20110717hg
- update to 0.9.6 snapshot
- Spec update from Heiko Adams <fedora-updates@heiko-adams.de>

* Fri Apr 01 2011 Rahul Sundaram  <sundaram@fedoraproject.org> - 0.9.5-3.20110331hg
- Fix permissions for a couple of javascript files

* Thu Mar 31 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.5-2.20110331hg
- Adding missing build requires
- Include additional licensing info
- Make package noarch

* Thu Mar 31 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.5-1.20110331hg
- Initial release
- Based on the spec from upstream

